summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Brian Muramatsu <brian@fhobia.org>2010-05-11 22:55:05 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:05 +0200
commit17e3df9f9a2d7f28d2dc16098e2b4e6bf779a405 (patch)
treefd4d8cafce9ae726fc2ebc1ca8c3acc7126031db /network
parentc86285a9d41edd90398b6f89901e66316636004e (diff)
downloadslackbuilds-17e3df9f9a2d7f28d2dc16098e2b4e6bf779a405.tar.gz
slackbuilds-17e3df9f9a2d7f28d2dc16098e2b4e6bf779a405.tar.xz
network/wol: Added to 12.1 repository
Diffstat (limited to 'network')
-rw-r--r--network/wol/README4
-rw-r--r--network/wol/slack-desc19
-rw-r--r--network/wol/wol.SlackBuild73
-rw-r--r--network/wol/wol.info8
4 files changed, 104 insertions, 0 deletions
diff --git a/network/wol/README b/network/wol/README
new file mode 100644
index 0000000000..94ebd9d18b
--- /dev/null
+++ b/network/wol/README
@@ -0,0 +1,4 @@
+wol (Wake On Lan)
+
+wol implements Wake On LAN functionality in a small program. It wakes up
+hardware that is Magic Packet compliant.
diff --git a/network/wol/slack-desc b/network/wol/slack-desc
new file mode 100644
index 0000000000..f0ebd548b0
--- /dev/null
+++ b/network/wol/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+wol: wol (Wake On Lan)
+wol:
+wol: wol implements Wake On LAN functionality in a small program. It
+wol: wakes up hardware that is Magic Packet compliant.
+wol:
+wol: https://sourceforge.net/projects/wake-on-lan/
+wol:
+wol:
+wol:
+wol:
+wol:
diff --git a/network/wol/wol.SlackBuild b/network/wol/wol.SlackBuild
new file mode 100644
index 0000000000..c28cc42a09
--- /dev/null
+++ b/network/wol/wol.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for wol
+
+# Written by Brian Muramatsu (brian@fhobia.org)
+
+PRGNAM=wol
+VERSION=${VERSION:-0.7.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mtune=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvzf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO doc $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/doc/$PRGNAM-$VERSION/man
+find $PKG/usr/doc -name "Makefile*" -exec rm -f {} \;
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+# Compress info pages and remove the package's dir file
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/wol/wol.info b/network/wol/wol.info
new file mode 100644
index 0000000000..2e3258d47a
--- /dev/null
+++ b/network/wol/wol.info
@@ -0,0 +1,8 @@
+PRGNAM="wol"
+VERSION="0.7.1"
+HOMEPAGE="http://sourceforge.net/projects/wake-on-lan/"
+DOWNLOAD="http://downloads.sourceforge.net/wake-on-lan/wol-0.7.1.tar.gz"
+MD5SUM="c2fa9d7e771134ac8c89d56b8197d4ca"
+MAINTAINER="Brian Muramatsu"
+EMAIL="brian@fhobia.org"
+APPROVED="David Somero"